Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2819283004: [ObjC ARC] Converts ios/chrome/browser/ui/util:util to ARC. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
5 months, 1 week ago by gambard
Modified:
4 months, 4 weeks ago
CC:
chromium-reviews, ios-reviews+chrome_chromium.org, ios-reviews_chromium.org, pkl (ping after 24h if needed), noyau+watch_chromium.org, marq+watch_chromium.org, sdefresne+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

[ObjC ARC] Converts ios/chrome/browser/ui/util:util to ARC. Automatically generated ARCMigrate commit Notable issues:static_cast changed to __bridge cast. BUG=624363 TEST=None Review-Url: https://codereview.chromium.org/2819283004 Cr-Commit-Position: refs/heads/master@{#467946} Committed: https://chromium.googlesource.com/chromium/src/+/8f67705094cf459bb5eda915a47bc2780cc22868

Patch Set 1 #

Patch Set 2 : Remove ivar for properties #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Patch Set 5 : Fix copy for block #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+186 lines, -215 lines) Patch
M ios/chrome/browser/ui/util/BUILD.gn View 1 chunk +1 line, -0 lines 0 comments Download
M ios/chrome/browser/ui/util/CRUILabel+AttributeUtils.mm View 1 2 3 2 chunks +7 lines, -5 lines 0 comments Download
M ios/chrome/browser/ui/util/core_text_util.mm View 2 chunks +6 lines, -3 lines 2 comments Download
M ios/chrome/browser/ui/util/i18n_string.mm View 2 chunks +5 lines, -1 line 0 comments Download
M ios/chrome/browser/ui/util/label_link_controller.h View 1 2 2 chunks +2 lines, -2 lines 0 comments Download
M ios/chrome/browser/ui/util/label_link_controller.mm View 1 2 3 4 17 chunks +48 lines, -79 lines 0 comments Download
M ios/chrome/browser/ui/util/label_observer.mm View 1 2 3 4 8 chunks +18 lines, -19 lines 0 comments Download
M ios/chrome/browser/ui/util/manual_text_framer.h View 1 1 chunk +1 line, -1 line 0 comments Download
M ios/chrome/browser/ui/util/manual_text_framer.mm View 1 16 chunks +29 lines, -37 lines 0 comments Download
M ios/chrome/browser/ui/util/pasteboard_util.mm View 1 chunk +4 lines, -0 lines 0 comments Download
M ios/chrome/browser/ui/util/snapshot_util.mm View 2 chunks +5 lines, -1 line 0 comments Download
M ios/chrome/browser/ui/util/text_frame.mm View 9 chunks +22 lines, -20 lines 1 comment Download
M ios/chrome/browser/ui/util/text_region_mapper.mm View 1 2 chunks +15 lines, -16 lines 0 comments Download
M ios/chrome/browser/ui/util/top_view_controller.mm View 1 chunk +4 lines, -0 lines 0 comments Download
M ios/chrome/browser/ui/util/transparent_link_button.mm View 1 7 chunks +15 lines, -31 lines 0 comments Download
M ios/chrome/browser/ui/util/unicode_util.mm View 1 chunk +4 lines, -0 lines 0 comments Download
Trybot results:  win_chromium_x64_rel_ng   win_clang   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   win_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device   ios-device-xcode-clang   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_arm64_dbg_recipe   android_clang_dbg_recipe   ios-simulator   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   mac_chromium_compile_dbg_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_cronet   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe 
Commit queue not available (can’t edit this change).

Messages

Total messages: 31 (23 generated)
gambard
PTAL.
5 months ago (2017-04-21 11:32:00 UTC) #13
marq (ping after 24h)
https://codereview.chromium.org/2819283004/diff/80001/ios/chrome/browser/ui/util/core_text_util.mm File ios/chrome/browser/ui/util/core_text_util.mm (right): https://codereview.chromium.org/2819283004/diff/80001/ios/chrome/browser/ui/util/core_text_util.mm#newcode32 ios/chrome/browser/ui/util/core_text_util.mm:32: CTLineRef line = (__bridge CTLineRef)(line_id); We should still use ...
5 months ago (2017-04-21 16:25:04 UTC) #22
sdefresne
https://codereview.chromium.org/2819283004/diff/80001/ios/chrome/browser/ui/util/core_text_util.mm File ios/chrome/browser/ui/util/core_text_util.mm (right): https://codereview.chromium.org/2819283004/diff/80001/ios/chrome/browser/ui/util/core_text_util.mm#newcode32 ios/chrome/browser/ui/util/core_text_util.mm:32: CTLineRef line = (__bridge CTLineRef)(line_id); On 2017/04/21 16:25:04, marq ...
5 months ago (2017-04-24 11:30:02 UTC) #23
stkhapugin
lgtm with others' comments
5 months ago (2017-04-26 10:40:29 UTC) #24
gambard
On 2017/04/26 10:40:29, stkhapugin wrote: > lgtm with others' comments I guess the answer to ...
4 months, 4 weeks ago (2017-04-27 08:28:45 UTC) #25
marq (ping after 24h)
lgtm
4 months, 4 weeks ago (2017-04-28 08:33:34 UTC) #26
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2819283004/80001
4 months, 4 weeks ago (2017-04-28 08:59:35 UTC) #28
commit-bot: I haz the power
4 months, 4 weeks ago (2017-04-28 09:59:51 UTC) #31
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/8f67705094cf459bb5eda915a47b...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b